Hello Jim, all,

On Wed, Dec 09, 2020 at 10:22:51AM -0500, Jim Jagielski wrote:

> > On Dec 9, 2020, at 10:17 AM, Matthias Seidel <matthias.sei...@hamburg.de> 
> > wrote:
> > 
> > Hi Jim,
> > 
> > Am 09.12.20 um 15:29 schrieb Jim Jagielski:
> >> Now that I'm thinking about the configure script, I have to admit
> >> that some things really look like they could/should be fixed.
[...]
> 
> So ''--with-dmake-path" and "--with-dmake-url" would be combined to 1: 
> --with-dmake
> 
> "--with-epm" and "--with-epm-url" would be combined to 1: --with-epm
> 
> "*-beanshell*" would be combined to 1: --with-beanshell

This all looks good to me. I was also a bit confused when I had to
sort out the correct parameters to use in the build scripts and I
found them to be similar but not equal.

I personally do not have the "shell-fu" or "autoconf-fu" abilities to
distinguish between a zero-sized value, a path and an URL; so if _I_
were assigned to do this, I would keep two alternative parameters for
each program:

  --with-x-path=/path/on/filesystem
  --with-x-url=http://etcetera

with the default behavior being "assume x is in $PATH". IMHO this
would not be confusing, but rather more explicit.  These are just my
two cents, of course.

I am trying to attach a patch to:

 1- automatically detect epm and dmake in centos 7 x86_64 build (so
 you get my idea),

 2- create a build script for openSUSE x86_64, that is 99% the same as
 CentOS 7 but with a different Java path.

If you approve the ``philosophy'' I can apply it to the other scripts
as well.

If the attachment gets stripped by the mailing list, I will send it to
you privately.

Regards,
-- 
rigo

http://rigo.altervista.org
Index: 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_centos7.sh
===================================================================
--- 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_centos7.sh	(revision 1884265)
+++ 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_centos7.sh	(working copy)
@@ -55,6 +55,16 @@
 fi
 
 if [ "$AOO_SKIP_CONFIG" != "yes" ]; then
+    if [ -e /usr/local/bin/epm ]; then
+        epm_param="--with-epm=/usr/local/bin/epm"
+    else
+        epm_param="--with-epm-url=https://github.com/jimjag/epm/archive/v5.0.0/epm-5.0.0.tar.gz";
+    fi
+    if [ -e /usr/local/bin/dmake ]; then
+        dmake_param="--with-dmake-path=/usr/local/bin/dmake"
+    else
+        dmake_param="--with-dmake-url=https://github.com/jimjag/dmake/archive/v4.13.1/dmake-4.13.1.tar.gz";
+    fi
     ( ./configure   \
 	--with-build-version="$(date +"%Y-%m-%d %H:%M:%S (%a, %d %b %Y)") - `uname -sm`${AOO_BUILD_VERSION}" \
 	${AOO_VERBOSE_BUILD} \
@@ -73,8 +83,8 @@
 	--with-jdk-home=/usr/lib/jvm/java-1.7.0-openjdk \
 	--with-package-format="rpm deb" \
 	--with-lang="${LANGS}" \
-	--with-epm=/usr/local/bin/epm \
-	--with-dmake-path=/usr/local/bin/dmake \
+	$epm_param \
+	$dmake_param \
 	| tee config.out ) || exit 1
 fi
 
Index: 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_opensuseleap15.sh
===================================================================
--- 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_opensuseleap15.sh	(nonexistent)
+++ 4.2.0-Dev3/unxlngix6/build_aoo64bit_on_opensuseleap15.sh	(working copy)
@@ -0,0 +1,113 @@
+#!/usr/bin/env bash
+#
+# Installed in /usr/local:
+#   o dmake 4.13.1 (https://github.com/jimjag/dmake/archive/v4.13.1/dmake-4.13.1.tar.gz)
+#   o epm 5.0.0 (https://github.com/jimjag/epm/archive/v5.0.0/epm-5.0.0.tar.gz)
+
+set -eo pipefail
+
+#
+# Parse options
+#
+AOO_SKIP_CONFIG=
+AOO_JUST_CONFIG=
+AOO_VERBOSE_BUILD=
+AOO_BUILD_TYPE=
+AOO_BUILD_VERSION=
+AOO_BUILD_BETA=
+AOO_BUILD_DEV=
+AOO_BUILD_SRC=
+
+while true; do
+  case "$1" in
+    "--verbose" ) AOO_VERBOSE_BUILD="--enable-verbose"; shift ;;
+    "--skip-config" ) AOO_SKIP_CONFIG="yes"; shift ;;
+    "--just-config" ) AOO_JUST_CONFIG="yes"; shift ;;
+	"--build-src" ) AOO_BUILD_SRC="yes"; shift ;;
+    "--dev" ) AOO_BUILD_TYPE="Apache OpenOffice Test Development Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]"; AOO_BUILD_DEV="yes"; AOO_BUILD_BETA=""; shift ;;
+    "--beta" ) AOO_BUILD_TYPE="Apache OpenOffice Beta Build"; AOO_BUILD_VERSION=" [${AOO_BUILD_TYPE}]"; AOO_BUILD_BETA="yes"; AOO_BUILD_DEV=""; shift ;;
+    "--" ) shift; break ;;
+    "" ) break ;;
+    * ) echo "unknown option: $1"; shift ;;
+  esac
+done
+
+if [ ! -d ../main -o ! -d sal ] ; then
+	echo "CHDIR into AOO's main/ directory first!"
+	exit 1
+fi
+
+if [ ! -e external/unowinreg/unowinreg.dll ] ; then
+	echo "Downloading unowinreg.dll..."
+    wget -O external/unowinreg/unowinreg.dll http://www.openoffice.org/tools/unowinreg_prebuild/680/unowinreg.dll
+fi
+
+LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es et eu fi fr gd gl he hi hu hy it ja kab km ko lt nb nl om pl pt pt-BR ru sk sl sr sv ta th tr uk vi zh-CN zh-TW"
+
+if [ -e configure.in ]; then
+    AOO_CONF_T="configure.in"
+else
+    AOO_CONF_T="configure.ac"
+fi
+if [ ! -e configure -o $AOO_CONF_T -nt configure ] ; then
+	echo "Running autoconf..."
+	autoconf || exit 1
+fi
+
+if [ "$AOO_SKIP_CONFIG" != "yes" ]; then
+    if [ -e /usr/local/bin/epm ]; then
+        epm_param="--with-epm=/usr/local/bin/epm"
+    else
+        epm_param="--with-epm-url=https://github.com/jimjag/epm/archive/v5.0.0/epm-5.0.0.tar.gz";
+    fi
+    if [ -e /usr/local/bin/dmake ]; then
+        dmake_param="--with-dmake-path=/usr/local/bin/dmake"
+    else
+        dmake_param="--with-dmake-url=https://github.com/jimjag/dmake/archive/v4.13.1/dmake-4.13.1.tar.gz";
+    fi
+    ( ./configure   \
+	--with-build-version="$(date +"%Y-%m-%d %H:%M:%S (%a, %d %b %Y)") - `uname -sm`${AOO_BUILD_VERSION}" \
+	${AOO_VERBOSE_BUILD} \
+	--with-system-stdlibs \
+	--enable-crashdump=yes \
+	--enable-category-b \
+	--enable-beanshell \
+	--enable-wiki-publisher \
+	--enable-bundled-dictionaries \
+	--enable-opengl  \
+	--enable-dbus  \
+	--enable-gstreamer \
+	--without-junit \
+	--without-stlport \
+	--with-ant-home=$ANT_HOME \
+	--with-jdk-home=/usr/lib64/jvm/java-1.8.0-openjdk \
+	--with-package-format="rpm deb" \
+	--with-lang="${LANGS}" \
+	$epm_param \
+	$dmake_param \
+	| tee config.out ) || exit 1
+fi
+
+source ./LinuxX86-64Env.Set.sh || exit 1 
+./bootstrap || exit 1
+cd instsetoo_native
+time perl "$SOLARENV/bin/build.pl" --all -- -P7 || exit 1
+cd util
+if [ "$AOO_BUILD_BETA" = "yes" ]; then
+    dmake -P7 openofficebeta  || exit 1
+	dmake -P7 sdkoobeta_en-US || exit 1
+	dmake -P7 ooobetalanguagepack || exit 1
+elif [ "$AOO_BUILD_DEV" = "yes" ]; then
+    dmake -P7 openofficedev  || exit 1
+	dmake -P7 sdkoodev_en-US || exit 1
+	dmake -P7 ooodevlanguagepack || exit 1
+else
+	dmake -P7 ooolanguagepack || exit 1
+	dmake -P7 sdkoo_en-US || exit 1 
+fi
+if [ "$AOO_BUILD_SRC" = "yes" ]; then
+	dmake aoo_srcrelease || exit 1
+fi
+
+date "+Build ended at %H:%M:%S"
+

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@openoffice.apache.org
For additional commands, e-mail: dev-h...@openoffice.apache.org

Reply via email to